Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::TellStream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::Stream.

Inherited by ipe::FileStream, and ipe::StringStream.

## Public Member Functions

virtual long | tell () const =0
Public Member Functions inherited from ipe::Stream
virtual | ~Stream ()
virtual void | putChar (char ch)=0
virtual void | close ()
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Adds position feedback to IpeStream.

## Member Function Documentation

virtual long ipe::TellStream::tell | ( |  | ) | const

pure virtual

Implemented in ipe::FileStream, and ipe::StringStream.

The documentation for this class was generated from the following file:

- ipebase.h